Commit a86b4a45 authored by Kazuki Shimizu's avatar Kazuki Shimizu

Merge branch '1.1.x'

parents 8e176f18 c2f7cb9e
......@@ -2,18 +2,23 @@ sudo: required
language: java
jdk:
- oraclejdk9
- oraclejdk8
addons:
firefox: latest
matrix:
include:
- env: JDK='Oracle JDK 10'
install: . ./install-jdk.sh -F 10 -L BCL
- env: JDK='Oracle JDK 9'
jdk: oraclejdk9
- env: JDK='Oracle JDK 8'
jdk: oraclejdk8
cache:
directories:
- $HOME/.m2
- $HOME/.sonar/cache
before_install:
- wget https://raw.githubusercontent.com/sormuras/bach/master/install-jdk.sh
install: true
script:
......
......@@ -68,7 +68,7 @@
<!-- for plugins -->
<license-maven-plugin.version>3.0</license-maven-plugin.version>
<coveralls-maven-plugin.version>4.3.0</coveralls-maven-plugin.version>
<jacoco-maven-plugin.version>0.7.9</jacoco-maven-plugin.version>
<jacoco-maven-plugin.version>0.8.1</jacoco-maven-plugin.version>
</properties>
<dependencies>
......@@ -117,7 +117,8 @@
<dependency>
<groupId>org.projectlombok</groupId>
<artifactId>lombok</artifactId>
<scope>provided</scope>
<scope>system</scope>
<systemPath>${project.basedir}/jars/lombok-edge.jar</systemPath> <!-- workaround for JDK10 (will change to 1.16.21)-->
</dependency>
<dependency>
......@@ -263,6 +264,17 @@
<sonar.skip>true</sonar.skip>
</properties>
</profile>
<profile>
<id>jdk10</id>
<activation>
<jdk>10</jdk>
</activation>
<properties>
<!-- coverall 4.3.0 or previous version does not work on Java 9, see https://github.com/trautonen/coveralls-maven-plugin/issues/112 -->
<coveralls.skip>true</coveralls.skip>
<sonar.skip>true</sonar.skip>
</properties>
</profile>
</profiles>
<repositories>
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment